Subject: bug#45817: 28.0.50; Native fails

From: "Kirill A. Korinsky" <[email-masked]>
Date: Tue, 12 Jan 2021 21:44:18 +0100

Both LD_LIBRARY_PATH and DYLD_LIBRARY_PATH doesn't help.

But if I put into early-init.el:

(setq comp-native-driver-options '(
      (concat
       "-L"
       (substring (shell-command-to-string "xcode-select -p") 0 -1)
       "/SDKs/MacOSX.sdk/usr/lib")))

The error has changed to:

Debugger entered--Lisp error: (wrong-type-argument number-or-marker-p "Abort trap: 6")
  comp-final(nil)
  #f(compiled-function (pass) #<bytecode 0xb1e0d621e6fccdf>)(comp-final)
  mapc(#f(compiled-function (pass) #<bytecode 0xb1e0d621e6fccdf>) (comp-spill-lap comp-limplify comp-fwprop comp-call-optim comp-ipa-pure comp-add-cstrs comp-fwprop comp-dead-code comp-tco comp-fwprop comp-remove-type-hints comp-final))
  comp--native-compile((lambda (arg0 &optional) (let ((f #'yes-or-no-p)) (funcall f arg0))) nil "/Users/catap/src/doom-emacs/.local/cache/eln/28.0.50-x86_64-apple-darwin20.2.0-fd47d85b89f8ef6ced8660b41eff701c/subr--trampoline-7965732d6f722d6e6f2d70_yes_or_no_p_0.eln")
  comp-trampoline-compile(yes-or-no-p)
  comp-subr-trampoline-install(yes-or-no-p)

--
wbr, Kirill

> On 12. Jan 2021, at 21:25, Andrea Corallo <[email-masked]> wrote:
> 
> "Kirill A. Korinsky" <[email-masked] <mailto:[email-masked]>> writes:
> 
>> Here it is:
>> 
>> √ ~ % emacs -batch -eval "(comp-subr-trampoline-install #'message)"
>> Debugger entered--Lisp error: (native-compiler-error (lambda (arg0 &rest arg1) (let ((f #'message)) (apply f arg0 arg1)))
>> "Compiling /Users/catap/.emacs.d/eln-cache/28.0.50-...")
>>  signal(native-compiler-error ((lambda (arg0 &rest arg1) (let ((f #'message)) (apply f arg0 arg1))) "Compiling
>> /Users/catap/.emacs.d/eln-cache/28.0.50-..."))
>>  comp--native-compile((lambda (arg0 &rest arg1) (let ((f #'message)) (apply f arg0 arg1))) nil
>> "/Users/catap/.emacs.d/eln-cache/28.0.50-x86_64-app...")
>>  comp-trampoline-compile(message)
>>  comp-subr-trampoline-install(message)
>>  command-line-1(("-eval" "(comp-subr-trampoline-install #'message)"))
>>  command-line()
>>  normal-top-level()
>> 
>> ? ~ %
>> 
>> The last ? means that exit code wasn't zero
> 
> Yeah sorry, I've lost track of all messages I'm replying and thought
> were two separate bugs, I think the right counter measure to this issue
> is in my last message on this thread (LIBRARY_PATH).
> 
>  Andrea